Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden

From: martin rudalics <[email-masked]>
Date: Tue, 24 Oct 2017 11:17:32 +0200

>>> (tool-bar-mode 0)
 >>> (scroll-bar-mode 0)
 >>> (tooltip-mode 0)
 >>> (menu-bar-mode 0)
 >>>
 >>> (set-frame-parameter nil 'width (+ (frame-parameter nil 'width) 5))
 >>> (set-frame-parameter nil 'width (- (frame-parameter nil 'width) 5))
 >>>
 >>> => frame cycles back to same size
 >>>
 >
 > I forgot to mention: the next line is executed in the same emacs
 > session as the previous ones

Does it matter?

 >>> (menu-bar-mode 1)
 >>>
 >>> (set-frame-parameter nil 'width (+ (frame-parameter nil 'width) 5))
 >>> (set-frame-parameter nil 'width (- (frame-parameter nil 'width) 5))
 >>>
 >>> => frame height shrinks
 >>
 >> Sounds "great".  To check further: If with
 >>
 >> (menu-bar-mode 0)
 >>
 >> you toggle scroll bar or tool bar off and on, does the frame also cycle
 >> back to the same size?
 >
 > Of course not, that would make this issue too easy to fix ;-)

Too bad.

 >>From emacs -Q:
 >
 > (menu-bar-mode 0)
 > (scroll-bar-mode 0)
 > (scroll-bar-mode 1)
 >
 > The width goes back to the original, but the height shrinks
 >
 > However things work correctly from emacs -Q with:
 >
 > (menu-bar-mode 0)
 > (tool-bar-mode 0)
 > (scroll-bar-mode 0)
 > (scroll-bar-mode 1)
 >
 > so looks like both the menu-bar and the tool-bar need to be disabled
 > for things to work as expected.

The gtk_distribute_natural_allocation error here always triggers when I
make an (unscaled) frame so narrow that the menu bar doesn't fit any
more.  I can't trigger it via the tool bar though when the menu bar is
turned off.  Can you trigger it via the tool bar alone?

Alas, I have no idea idea whether and how to switch off that natural
allocation distribution voodoo.  And obviously we don't know whether
eliminating these warnings would help us with the frame shrinking
phenomena.  In any case, eliminating these warnings should be the first
goal now.

martin